Subject: Re: [RFC/PATCH] powerpc: MPC7450 L2 HW cache flush feature utilization

From: Segher Boessenkool <[email-masked]>
Date: Sat, 16 Jun 2007 00:14:45 +0200

>>> I've double checked this. All processors considered 7450 in the 
>>> kernel
>>> are covered by MPC7450 RISC Microprocessor Family Reference Manual
>>> where hardware cache flushing procedure is described.
>>
>> Nice.  Now all that remains to be done is for the patch to
>> be tested on actual hardware for at least a few of those
>> other CPUs.  Any volunteers?
>
> I just booted & played around on a prpmc2800e (7447A, 512MB) with
> this patch and it seemed to work fine.

Good to hear, thank you!

> I *may* have some old sandpoint 745x modules that still work but
> I'll have to get the sandpoint working in arch/powerpc again.
> I'll try to get to that in a week or so.

Don't sweat it, I'm sure someone with a powermac 7450
or 7455 will show up soon enough.  Any takers?

Segher